import { StudentAction, StudentActions } from "@/state/actions/student";
import { EditionAction, EditionActions } from "@/state/actions/edition";
import { SettingActions, SettingsAction } from "@/state/actions/settings";
import { Dispatch } from "react";

import { useDispatch as useReduxDispatch } from "react-redux";

export * from "./base"
export * from "./edition"
export * from "./settings"
export * from "./student"

export type Action = StudentAction | EditionAction | SettingsAction;

export const Actions = { ...StudentActions, ...EditionActions, ...SettingActions }
export type Actions = typeof Actions;

export const useDispatch = () => useReduxDispatch<Dispatch<Action>>()

export default Actions;
