import { combineReducers } from "redux";

import studentReducer from "./student"
import editionReducer from "@/state/reducer/edition";
import settingsReducer from "@/state/reducer/settings";

const rootReducer = combineReducers({
    student: studentReducer,
    edition: editionReducer,
    settings: settingsReducer,
})

export type AppState = ReturnType<typeof rootReducer>;

export default rootReducer;

export const isReady = (state: AppState) => !!state.edition;
