import { createStore } from "redux";
import rootReducer from "@/state/reducer";
import { devToolsEnhancer } from "redux-devtools-extension";
import { persistReducer, persistStore } from "redux-persist"
import sessionStorage from "redux-persist/lib/storage/session"

const store = createStore(
    persistReducer(
        {
            key: 'state',
            storage: sessionStorage,
            blacklist: ['edition']
        },
        rootReducer
    ),
    devToolsEnhancer({})
);

export const persistor = persistStore(store)

export default store;
